Service Hijack in Cisco AnyConnect Secure Mobility Client for Android



Published: 2020-01-09
Severity Low
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2019-16007
CWE ID CWE-345
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
Cisco AnyConnect Secure Mobility Client
Client/Desktop applications / Other client software

Vendor Cisco Systems, Inc

Security Advisory

This security advisory describes one low risk vulnerability.

1) Insufficient verification of data authenticity

Severity: Low

CVSSv3: 5.2 [CVSS:3.0/AV:P/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2019-16007

CWE-ID: CWE-345 - Insufficient Verification of Data Authenticity

Description

The vulnerability allows a local attacker to perform a service hijack attack on an affected device or perform a denial of service (DoS) attack.

The vulnerability exists due to the use of implicit service invocations in the inter-service communication. An attacker with physical access can trick a victim to install a malicious application and access confidential user information or cause a denial of service condition on the AnyConnect application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Cisco AnyConnect Secure Mobility Client: -

CPE External links

https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20200108-anyconnect-hijack

Q & A

Can this vulnerability be exploited remotely?

No. The attacker should have physical access to the system in order to successfully exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.